Partial Class USU_EspecialidadBusinessObject

#Region "Contructores"
    ' Definir en esta region los constructores personalizados para el BusinessObject

#End Region

#Region "Metodos Generales"
    ' Definir en esta region los metodos no estaticos,
    ' estos metodos comunmente utilizan como parametros de proceso valores tomados de la propiedad entity

    Public Overrides Function Delete() As MSG
        Dim msg As New MSG("Delete")

        Dim BusinessObject As New USU_EspecialidadBusinessObject(Me.Entity.idEspecialidad)
        'ANTERIORMENTE ERA EXISTE POSTULACION DE USUARIO Y SE MANDABA EL IDUSUARIO
        If ExistePostulacion(BusinessObject.Entity.certificado) = False Then
            If ExisteOtroGradoMismoArchivo(BusinessObject.Entity.certificado) = False Then
                Dim File As String = HttpContext.Current.Server.MapPath(ConfigurationManager.AppSettings("RutaArchivos") & BusinessObject.Entity.certificado)
                If System.IO.File.Exists(File) = True Then
                    System.IO.File.Delete(File)

                End If
            End If

        End If
       
        msg = MyBase.Delete
        BusinessObject = Nothing
        Return msg
    End Function

    Public Overrides Function Delete(entity As USU_Especialidad) As MSG
        Dim MSG As New MSG("Delete")

        Dim BusinessObject As New USU_EspecialidadBusinessObject(entity)
        MSG = BusinessObject.Delete
        BusinessObject = Nothing
        Return MSG
    End Function
#End Region

#Region "Metodos Estaticos"
    ' Definir en esta region metodos estaticos
    Public Shared Function EliminarArchivo(archivo As String) As MSG
        Dim msg As New MSG("EliminarArchivo")
        Dim File As String = HttpContext.Current.Server.MapPath(ConfigurationManager.AppSettings("RutaArchivos") & archivo)
        Try
            If System.IO.File.Exists(File) = True Then
                System.IO.File.Delete(File)

            End If
            msg.EventType = dGen.Library.Entity.MSG.MsgType.Success
            Return msg
        Catch ex As Exception
            msg.EventType = dGen.Library.Entity.MSG.MsgType.Errors
            msg.FriendlyMessage = "Problemas al eliminar el archivo anterior"
            Return msg
        End Try
    End Function
#End Region
    Public Shared Function ExistePostulacion(nombre As String) As Boolean
        Return GetDdHelperInstance.ExistePostulacion(nombre)
    End Function

    Public Shared Function ExisteOtroGradoMismoArchivo(nombre As String) As Boolean
        Return GetDdHelperInstance.ExisteOtroGradoMismoArchivo(nombre)
    End Function

#Region "Metodos Privados"
    ' Definir en esta region metodos privados

#End Region

#Region "Metodos Reportes"
    ' Definir en esta region metodos utilizados para reportes que comunmente devulven DataSets

#End Region
End Class
